# H225_UnregRejectReason Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_notCurrentlyRegistered, e_callInProgress, e_undefinedReason, e_permissionDenied, e_securityDenial, e_securityError }

## Public Member Functions

| H225_UnregRejectReason (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_SecurityErrors2 & ()
| operator const H225_SecurityErrors2 & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_UnregRejectReason::Choices

Enumerator:

  e_notCurrentlyRegistered |
  e_callInProgress |
  e_undefinedReason |
  e_permissionDenied |
  e_securityDenial |
  e_securityError |

## Constructor & Destructor Documentation

H225_UnregRejectReason::H225_UnregRejectReason | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_UnregRejectReason::operator H225_SecurityErrors2 & | ( |  | ) |

H225_UnregRejectReason::operator const H225_SecurityErrors2 & | ( |  | ) | const

PBoolean H225_UnregRejectReason::CreateObject | ( |  | ) |

PObject* H225_UnregRejectReason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h